<?xml version="1.0" encoding="UTF-8"?>
<schema targetNamespace="http://www.interactive-instruments.de/ShapeChange/Configuration/0.5" xmlns:sc="http://www.interactive-instruments.de/ShapeChange/Configuration/0.5" xmlns="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified"
	attributeFormDefault="unqualified">
	<element name="ShapeChangeConfiguration" type="sc:ShapeChangeConfigurationType" />
	<complexType name="ShapeChangeConfigurationType">
		<choice minOccurs="0" maxOccurs="unbounded">
			<element ref="sc:ShapeChangeConfiguration" />
			<element ref="sc:stereotypeAliases" />
			<element ref="sc:namespaces" />
			<element ref="sc:mapEntries" />
		</choice>
	</complexType>
	<element name="stereotypeAliases">
		<complexType>
			<sequence minOccurs="0" maxOccurs="unbounded">
				<element name="StereotypeAlias" type="sc:StereotypeAliasType" />
			</sequence>
		</complexType>
	</element>
	<element name="namespaces">
		<complexType>
			<sequence minOccurs="0" maxOccurs="unbounded">
				<element name="Namespace" type="sc:NamespaceType" />
			</sequence>
		</complexType>
	</element>
	<element name="mapEntries">
		<complexType>
			<sequence>
				<element name="MapEntry" type="sc:MapEntryType" minOccurs="0" maxOccurs="unbounded" />
			</sequence>
		</complexType>
	</element>
	<complexType name="StereotypeAliasType">
		<sequence />
		<attribute name="wellknown" use="required">
			<simpleType>
				<restriction base="string">
					<enumeration value="" />
					<enumeration value="Abstract" />
					<enumeration value="DataType" />
					<enumeration value="FeatureType" />
					<enumeration value="ObjectType" />
					<enumeration value="Enumeration" />
					<enumeration value="CodeList" />
					<enumeration value="Union" />
					<enumeration value="BasicType" />
					<enumeration value="Interface" />
					<enumeration value="Type" />
					<enumeration value="Union" />
					<enumeration value="Application Schema" />
					<enumeration value="Leaf" />
					<enumeration value="import" />
					<enumeration value="include" />
					<enumeration value="disjoint" />
				</restriction>
			</simpleType>
		</attribute>
		<attribute name="alias" type="string" use="required" />
	</complexType>
	<complexType name="NamespaceType">
		<sequence />
		<attribute name="nsabr" type="string" use="required" />
		<attribute name="ns" type="string" use="required" />
		<attribute name="location" type="string" use="required" />
		<attribute name="packageName" type="string"/>
	</complexType>
	<complexType name="MapEntryType">
		<sequence />
		<attribute name="type" type="string" use="required" />
		<attribute name="xsdEncodingRules" use="required">
			<simpleType>
				<list>
					<simpleType>
						<restriction base="string">
							<enumeration value="*" />
							<enumeration value="iso19136_2007" />
							<enumeration value="iso19136_2007_NoGmlBaseTypes" />
							<enumeration value="iso19136_2007_ShapeChange_1.0_Extensions" />
							<enumeration value="iso19139_2007" />
						</restriction>
					</simpleType>
				</list>
			</simpleType>
		</attribute>
		<attribute name="xmlType" type="string" />
		<attribute name="xmlTypeContent" default="complex">
			<simpleType>
				<restriction base="string">
					<enumeration value="simple" />
					<enumeration value="complex" />
				</restriction>
			</simpleType>
		</attribute>
		<attribute name="xmlTypeType" default="complex">
			<simpleType>
				<restriction base="string">
					<enumeration value="simple" />
					<enumeration value="complex" />
				</restriction>
			</simpleType>
		</attribute>
		<attribute name="xmlElement" type="string" />
		<attribute name="xmlPropertyType" type="string" />
		<attribute name="xmlAttribute" type="string" />
		<attribute name="xmlAttributeGroup" type="string" />
		<attribute name="nsabr" type="string" />
	</complexType>
</schema>
